Name:		msp430mcu
Version:	20120406
Release:	4%{?dist}
Summary:	Headers and linker scripts for MSP430 micro-controllers
Group:		Development/Libraries
License:	BSD
URL:		http://mspgcc.sf.net/

Source0:	http://sourceforge.net/projects/mspgcc/files/msp430mcu/msp430mcu-%{version}.tar.bz2

# LTS patch from
# http://sourceforge.net/projects/mspgcc/files/mspgcc/mspgcc-20120406.tar.bz2
Patch0:		msp430mcu-%{version}-sf3522088.patch

# Add DESTDIR support -- patch submitted here:
# http://sourceforge.net/tracker/?func=detail&aid=3527433&group_id=42303&atid=432701
Patch1:		msp430mcu-destdir.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

# This package is part of the 'uniarch' mspgcc, rather than
# the older variant of mspgcc.  Since F17 is currently shipping
# that older variant, this package conflicts with some of the headers
# that it provides.  Therefore, one can't install msp430-libc
# from F17 along with this package.
Conflicts:	msp430-libc < 20120224

%description
Headers and linker scripts for the Texas Instruments MSP430 range of
micro-controllers.  These headers provide the location of all the
special function registers of the micro-controllers.  The linker
scripts provide the mapping of those registers into memory as well as
information on where code should be loaded.

%prep
%setup -T -q -b 0
%patch0 -p1
%patch1 -p1


%build
# No build to do


%install
MSP430MCU_ROOT=`pwd` DESTDIR=%{buildroot} ./scripts/install.sh %{_prefix}

%files
%doc COPYING

%dir %{_prefix}/msp430/include
%dir %{_prefix}/msp430/lib
%dir %{_prefix}/msp430/lib/ldscripts

%{_prefix}/msp430/include/*
%{_prefix}/msp430/lib/ldscripts/*
%{_prefix}/msp430/lib/msp430mcu.spec
%{_bindir}/msp430mcu-config


%changelog
* Wed Aug 29 2012 Rob Spanton <rspanton@zepler.net> 20120406-4
- Add Conflict with old versions of msp430-libc

* Tue Aug 14 2012 Rob Spanton <rspanton@zepler.net> 20120406-3
- Remove %%clean section
- Remove %%defattr line
- Remove rm -rf %%{buildroot} from %%install section

* Fri May 18 2012 Rob Spanton <rspanton@zepler.net> 20120406-2
- Complete summary and description fields

* Wed May 16 2012 Rob Spanton <rspanton@zepler.net> 20120406-1
- Initial release
